#include "platform/cm4/InterruptHandler.h"
#include "platform/cm4/InterruptGuardian.h"
#include "platform/cm4/InterruptLock.h"

using namespace pinetime::platform::cm4;

InterruptLock::InterruptLock()
{
    this->state = InterruptGuardian::suspend_interrupts();
}

InterruptLock::~InterruptLock()
{
    InterruptGuardian::resume_interrupts(this->state);
}
